<?php
/**
 * @package   Omnicron Template - RocketTheme
 * @version   1.5.3 April 20, 2011
 * @author    RocketTheme http://www.rockettheme.com
 * @copyright Copyright (C) 2007 - 2011 RocketTheme, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * Rockettheme Omnicron Template uses the Joomla Framework (http://www.joomla.org), a GNU/GPLv2 content management system
 *
 */
defined('JPATH_BASE') or die();

$gantry_config_mapping = array(
    'belatedPNG' => 'belatedPNG',
	'ie6Warning' => 'ie6Warning'
);

$gantry_presets = array (
    'presets' => array (
        'preset1' => array (
            'name' => 'Preset 1',
			'bodylevel' => 'high',
			'backgroundlevel' => 'high',
			'cssstyle' => 'style1',
			'articlestyle' => 'box1 title7',
			'articledetails' => 'layout3',
            'font-family' => 'helvetica'
        ),
        'preset2' => array (
            'name' => 'Preset 2',
			'bodylevel' => 'high',
			'backgroundlevel' => 'high',
			'cssstyle' => 'style2',
			'articlestyle' => 'box1 title7',
			'articledetails' => 'layout3',
            'font-family' => 'helvetica'
        ),
        'preset3' => array (
            'name' => 'Preset 3',
			'bodylevel' => 'high',
			'backgroundlevel' => 'high',
			'cssstyle' => 'style3',
			'articlestyle' => 'box1 title7',
			'articledetails' => 'layout3',
            'font-family' => 'helvetica'
        ),
        'preset4' => array (
            'name' => 'Preset 4',
			'bodylevel' => 'high',
			'backgroundlevel' => 'high',
			'cssstyle' => 'style4',
			'articlestyle' => 'box1 title7',
			'articledetails' => 'layout3',
            'font-family' => 'helvetica'
        ),
        'preset5' => array (
            'name' => 'Preset 5',
			'bodylevel' => 'high',
			'backgroundlevel' => 'high',
			'cssstyle' => 'style5',
			'articlestyle' => 'box1 title7',
			'articledetails' => 'layout3',
            'font-family' => 'helvetica'
        ),
        'preset6' => array (
			'name' => 'Preset 6',
			'bodylevel' => 'high',
			'backgroundlevel' => 'high',
			'cssstyle' => 'style6',
			'articlestyle' => 'box1 title7',
			'articledetails' => 'layout3',
            'font-family' => 'helvetica'
        ),
		'preset7' => array (
			'name' => 'Preset 7',
			'bodylevel' => 'high',
			'backgroundlevel' => 'high',
			'cssstyle' => 'style7',
			'articlestyle' => 'box1 title7',
			'articledetails' => 'layout3',
            'font-family' => 'helvetica'
        ),
		'preset8' => array (
			'name' => 'Preset 8',
			'bodylevel' => 'high',
			'backgroundlevel' => 'high',
			'cssstyle' => 'style8',
			'articlestyle' => 'box1 title7',
			'articledetails' => 'layout3',
            'font-family' => 'helvetica'
        ),
		'preset9' => array (
			'name' => 'Preset 9',
			'bodylevel' => 'high',
			'backgroundlevel' => 'high',
			'cssstyle' => 'style9',
			'articlestyle' => 'box1 title7',
			'articledetails' => 'layout3',
            'font-family' => 'helvetica'
        )
    )
);

$gantry_browser_params = array(
    'ie6' => array(
        'bodylevel' => 'low',
        'readonstyle' => 'link'
    )
);

$gantry_belatedPNG = array('.png', '#rt-logo', '.stuff', '.rt-joomla .icon','#rt-mainbody .inputbox','span.breadcrumbs img','#breadcrumbs-home','ul.bullet-no1 li','ul.bullet-no2 li','ul.bullet-no3 li','#gantry-totop .totop-icon','#rt-accessibility a.small .button','#rt-accessibility a.large .button','.article-rating .rating-bar','.article-rating .rating-bar div','.date-icon','#modlgn_username','#modlgn_passwd','.details-layout3 .rt-infobutton','#rt-header-overlay','#rt-header-surround','#rt-header-surround2','#rt-body-surround','#rt-body-surround2','#rt-body-surround3','#rt-footerbar','.active .tabnumber','.icon-left .tabnumber','.last .tabnumber','.rt-demo-typo-block','.image-full img');

$gantry_ie6Warning = "<h3>IE6 DETECTED: Currently Running in Compatibility Mode</h3><h4>This site is compatible with IE6, however your experience will be enhanced with a newer browser</h4><p>Internet Explorer 6 was released in August of 2001, and the latest version of IE6 was released in August of 2004.  By continuing to run Internet Explorer 6 you are open to any and all security vulnerabilities discovered since that date.  In March of 2009, Microsoft released version 8 of Internet Explorer that, in addition to providing greater security, is faster and more standards compliant than both version 6 and 7 that came before it.</p> <br /><a class='external'  href='http://www.microsoft.com/windows/internet-explorer/?ocid=ie8_s_cfa09975-7416-49a5-9e3a-c7a290a656e2'>Download Internet Explorer 8 NOW!</a>";